from llama_index.core import SummaryIndex, Document
from llama_index.core.schema import TextNode

nodes = [
  TextNode(
    text="Lionel Messi to piłkarz z Argentyny."
    ),
  TextNode(
    text="Wygrał Złotą Piłkę 7 razy."
    ),
  TextNode(text="Rodzinnym miastem Lionela Messi jest Rosario."),
  TextNode(text="Urodział sie 27 czerwca 1987.")
]
index = SummaryIndex(nodes)

query_engine = index.as_query_engine()
response = query_engine.query(
    "Jak nazywa się rodzinne miasto Lionela Messi?"
)
print(response)